List accessible pipelines

Returns a paginated list of pipelines that are visible to the requester.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32

The maximum number of pipelines to return. If this parameter is unspecified, at most 10 pipelines will be returned. The cap value for this parameter is 100 (i.e. any value above that will be coerced to 100).

string

Page token.

string
enum

View allows clients to specify the desired pipeline view in the response.

  • VIEW_BASIC: Default view, only includes basic information.
  • VIEW_FULL: Full representation.
  • VIEW_RECIPE: Contains the recipe of the resource.
Allowed:
string

Filter can hold an AIP-160-compliant filter expression.

  • Example: create_time>timestamp("2000-06-19T23:31:08.657Z").
  • Example: recipe.components.definition_name:"operator-definitions/2ac8be70-0f7a-4b61-a33d-098b8acfa6f3".
boolean

Include soft-deleted pipelines in the result.

string
enum

Limit results to pipelines with the specified visibility.

  • VISIBILITY_PRIVATE: Only the user can see the pipeline.
  • VISIBILITY_PUBLIC: Other users can see the pipeline.
Allowed:
string

Order by field, with options for ordering by id, create_time or update_time. Format: order_by=id or order_by=create_time desc, default is asc.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json